Loading...
Searching...
No Matches
BALL::FPTBondOrderStrategy::EdgeComparator_ Class Reference

`#include <BALL/STRUCTURE/BONDORDERS/FPTBondOrderStrategy.h>`

## Public Types

typedef GRAPH::GraphTraits< MolecularGraph >::EdgeType | Edge

## Public Member Functions

| EdgeComparator_ (MolecularGraph *graph)
bool | operator() (Edge const &e1, Edge const &e2)

## Protected Attributes

MolecularGraph * | graph_

## Detailed Description

A comparator for edges in the molecular graph.

Definition at line 835 of file FPTBondOrderStrategy.h.

## Member Typedef Documentation

## Edge

typedef GRAPH::GraphTraits<MolecularGraph>::EdgeType BALL::FPTBondOrderStrategy::EdgeComparator_::Edge

Definition at line 838 of file FPTBondOrderStrategy.h.

## Constructor & Destructor Documentation

## EdgeComparator_()

BALL::FPTBondOrderStrategy::EdgeComparator_::EdgeComparator_ | ( | MolecularGraph * | graph | ) |

inline

Definition at line 840 of file FPTBondOrderStrategy.h.

## Member Function Documentation

## operator()()

bool BALL::FPTBondOrderStrategy::EdgeComparator_::operator() | ( | Edge const & | e1,
|  | Edge const & | e2 )

## Member Data Documentation

## graph_

MolecularGraph* BALL::FPTBondOrderStrategy::EdgeComparator_::graph_

protected

Definition at line 847 of file FPTBondOrderStrategy.h.